#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD6,0x64,0x36,0x88,0xFC,0xDE,0x5F,0x6D,0x46,0x60,0xAD,0x67,
		0x5A,0x83,0x36,0xEE,0x88,0xFE,0xCD,0x02,0x1A,0x62,0x04,0x12,
		0xFB,0x3E,0x83,0xC3,0x54,0x46,0xAD,0xEA,0x12,0x92,0xFD,0xBA,
		0x19,0x8F,0xA2,0x45,0x5D,0x11,0x99,0xC1,0x19,0xE9,0x81,0x4F,
		0x37,0xA9,0x6A,0x31,0x00,0x9B,0xB3,0xFA,0x25,0x6D,0x19,0xB2,
		0x6F,0xE9,0x4E,0x73,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
